Subject: Re: how to ignore merge conflicts?

From: Jakub Narebski <[email-masked]>
Date: Mon, 30 Oct 2006 21:06:00 +0100

Len Brown wrote:

> Sometimes when a multiple-file merge give conflicts, I don't want to edit
> one of the resulting <<<<<=====>>>>> files.
> Instead, I just want to choose the version of that particular file that
> existed in one of the two merged branches and commit that along with
> the rest of the merge.
> 
> How to do this?

$ git cat-file -p :<n>:<filename> > <filename>
$ git update-index <filename>

where <n> is one of stages, 1 or 2 to choose one branch version if I
remember correctly. Check out documentation.

Or just use 'ours' as merge strategy...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git